<table class="table table-hover table-sm table-responsive" id="covicat-table" style="display: table;">
  <thead class="thead-light">
    <tr>
      <th scope="col">{{ i18n "variable_code" }}</th>
      <th scope="col">{{ i18n "disease" }}</th>
      <th scope="col">{{ i18n "possible_values" }}</th>
    </tr>
  </thead>
  <tbody>
    {{ range $index, $entry := $.Site.Data.c19dpes_hv_covicat.variables }}
    <tr>
      <td>{{ .variable }}</td>
      <td>{{ .disease }}</td>
      <td>{{ .possible_values }}</td>
    </tr>
    {{ end }}
  </tbody>
</table>

<script>
  $(document).ready(() => {
    const covicatTable = $('#covicat-table').DataTable({
      dom: `
        <".container-fluid"
          <".row my-2"
            <".mr-auto"i>
            <"#search-2.mr-2"f>
          >
          <".row"t>
          <".row"
            <".mr-auto"l>
            <".ml-auto"p>
          >
        >
      `,
      ordering: false,
      paging: false,
    });

    // Move download button next to filter search box.
    const downloadButtonCovicat = document.querySelector('#download-button-2');
    const searchCovicat = document.querySelector('#search-2');
    searchCovicat.insertAdjacentElement('afterend', downloadButtonCovicat);
  });
</script>
